Bug 1288865 - touchpad controls are not loading
touchpad controls are not loading
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libtpms (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Stefan Berger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 13:08 EST by mock
Modified: 2016-12-20 11:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:41:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
current mouse/touchpad settings dialog (19.79 KB, image/png)
2015-12-06 13:08 EST, mock
no flags Details
uploading the dmesg to show all the bits involved (63.26 KB, text/plain)
2015-12-16 17:13 EST, mock
no flags Details

  None (edit)
Description mock 2015-12-06 13:08:31 EST
Created attachment 1102825 [details]
current mouse/touchpad settings dialog

Description of problem:
I am not sure if the libtpms or tpm_crb is the right component or not.

When booting my Fedora 23 Workstation client, the touchpad works but lacks the necessary settings to control sensitivity, scrolling, or any other features.

My laptop is a (new) Dell Inspiron 13-7353. 
Processor: Intel® Core™ i7-6500U CPU @ 2.50GHz × 4
Graphics: Gallium 0.4 on llvmpipe (LLVM 3.7, 256 bits)
Memory: 8.0G

uname -a: 
Linux mali 4.2.6-301.fc23.x86_64 #1 SMP Fri Nov 20 22:22:41 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux


Version-Release number of selected component (if applicable):
0.5.2-6.fc23


How reproducible:
Booting up my laptop.


Steps to Reproduce:
1.
2.
3.

Actual results:
Touchpad works, but touch to click is turned on making typing a pain since the sensitivity is set rather high. No options for disabling this, two finger scrolling, etc.

Expected results:


Additional info:

dmesg includes this bit:

[    2.953455] ------------[ cut here ]------------
[    2.953460] WARNING: CPU: 0 PID: 667 at arch/x86/mm/ioremap.c:198 __ioremap_caller+0x2c5/0x380()
[    2.953461] Info: mapping multiple BARs. Your kernel is fine.
[    2.953462] Modules linked in:
[    2.953463]  tpm_crb(+) kfifo_buf tpm pcc_cpufreq(-) industrialio acpi_pad acpi_cpufreq(-) nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_multitouch i915 i2c_algo_bit drm_kms_helper drm serio_raw i2c_hid video hid_sensor_hub
[    2.953475] CPU: 0 PID: 667 Comm: systemd-udevd Not tainted 4.2.6-301.fc23.x86_64 #1
[    2.953477] Hardware name: Dell Inc. Inspiron 13-7353/06MHGV, BIOS 01.02.00 09/08/2015
[    2.953478]  0000000000000000 0000000046ec4b84 ffff88026737f938 ffffffff817729ea
[    2.953494]  0000000000000000 ffff88026737f990 ffff88026737f978 ffffffff8109e4b6
[    2.953497]  ffff88026737f9a8 00000000fed40040 ffffc90000cc8040 0000000000001000
[    2.953499] Call Trace:
[    2.953503]  [<ffffffff817729ea>] dump_stack+0x45/0x57
[    2.953506]  [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
[    2.953508]  [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
[    2.953510]  [<ffffffff81065b95>] __ioremap_caller+0x2c5/0x380
[    2.953512]  [<ffffffff81065c67>] ioremap_nocache+0x17/0x20
[    2.953515]  [<ffffffff813b5734>] devm_ioremap_nocache+0x44/0x80
[    2.953518]  [<ffffffffa02d1235>] crb_acpi_add+0x105/0x2c0 [tpm_crb]
[    2.953521]  [<ffffffff81424540>] acpi_device_probe+0x50/0xf7
[    2.953524]  [<ffffffff814d0944>] driver_probe_device+0x1f4/0x450
[    2.953527]  [<ffffffff814d0c30>] __driver_attach+0x90/0xa0
[    2.953529]  [<ffffffff814d0ba0>] ? driver_probe_device+0x450/0x450
[    2.953532]  [<ffffffff814ce40c>] bus_for_each_dev+0x6c/0xc0
[    2.953534]  [<ffffffff814d014e>] driver_attach+0x1e/0x20
[    2.953536]  [<ffffffff814cfc9b>] bus_add_driver+0x1eb/0x280
[    2.953538]  [<ffffffffa02d6000>] ? 0xffffffffa02d6000
[    2.953540]  [<ffffffff814d14a0>] driver_register+0x60/0xe0
[    2.953542]  [<ffffffff81424d5a>] acpi_bus_register_driver+0x3b/0x43
[    2.953544]  [<ffffffffa02d6010>] crb_acpi_driver_init+0x10/0x1000 [tpm_crb]
[    2.953547]  [<ffffffff81002123>] do_one_initcall+0xb3/0x200
[    2.953549]  [<ffffffff811ffd4e>] ? kmem_cache_alloc_trace+0x19e/0x220
[    2.953551]  [<ffffffff81771c1c>] ? do_init_module+0x28/0x1e7
[    2.953552]  [<ffffffff81771c54>] do_init_module+0x60/0x1e7
[    2.953555]  [<ffffffff8112312f>] load_module+0x20ef/0x2730
[    2.953557]  [<ffffffff8111f4d0>] ? __symbol_put+0x60/0x60
[    2.953560]  [<ffffffff811238c4>] SyS_init_module+0x154/0x1a0
[    2.953562]  [<ffffffff810238e5>] ? syscall_trace_leave+0xb5/0x110
[    2.953565]  [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
[    2.953566] ---[ end trace ec2d4c041d26b679 ]---
Comment 1 Stefan Berger 2015-12-06 13:47:03 EST
I doubt that either libtpms (TPM emulator) or the TPM CRQ driver have any influence on the sensitivity of the touch pad. I am removing libtpms as being a source of the error.
Comment 2 mock 2015-12-08 10:37:35 EST
can i provide any more data that might be the answer to this?
Comment 3 mock 2015-12-16 17:13 EST
Created attachment 1106541 [details]
uploading the dmesg to show all the bits involved
Comment 4 Fedora End Of Life 2016-11-24 09:00:52 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 11:41:52 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.